org.jenkinsci.maven.plugins.hpi

## Class CreateMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.jenkinsci.maven.plugins.hpi.CreateMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class CreateMojo
    extends org.apache.maven.plugin.AbstractMojo

Builds a new plugin template.

Most of this is really just a rip-off from the `archetype:create` goal, but since Maven doesn't really let one Mojo calls another Mojo, this turns out to be the easiest.

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CreateMojo()`

### Method Summary

Methods
`org.apache.maven.artifact.repository.ArtifactRepository` `createRepository(java.lang.String url, java.lang.String repositoryId)`
`void` `execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateMojo

    public CreateMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### createRepository

    public org.apache.maven.artifact.repository.ArtifactRepository createRepository(java.lang.String url,
                                                                           java.lang.String repositoryId)